Skip to main content
PATCH
Update a webhook object

Authorizations

api_access_token
string
header
required

Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.

Path Parameters

account_id
integer
required

The numeric ID of the account

webhook_id
integer
required

The numeric ID of the webhook

Body

application/json
url
string

The url where the events should be sent

Example:

"https://example.com/webhook"

name
string

The name of the webhook

subscriptions
enum<string>[]

The events you want to subscribe to.

Available options:
conversation_created,
conversation_status_changed,
conversation_updated,
message_created,
message_updated,
contact_created,
contact_updated,
webwidget_triggered,
conversation_typing_on,
conversation_typing_off
Example:

Response

Success

id
number

The ID of the webhook

url
string

The url to which the events will be send

name
string

The name of the webhook

subscriptions
enum<string>[]

The list of subscribed events

Available options:
conversation_created,
conversation_status_changed,
conversation_updated,
contact_created,
contact_updated,
message_created,
message_updated,
webwidget_triggered,
conversation_typing_on,
conversation_typing_off
secret
string | null

Secret used to sign webhook requests. Signed webhook deliveries include X-Yampi-Timestamp and X-Yampi-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Yampi-Delivery when a delivery id is available.

account_id
number

The id of the account which the webhook object belongs to